Set Registry Version Status

POST
/api/v1/component-registry/components/{publisher}/{name}/versions/{version}/status

Path Parameters

publisher*string
name*string
version*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

message?string
projectId?string|null
status*string

Value in

  • "ready"
  • "deprecated"
  • "yanked"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/component-registry/components/string/string/versions/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "ready"  }'
{  "bundleHash": "string",  "byteSize": 0,  "capabilities": [    "string"  ],  "componentId": "string",  "contentHash": "string",  "createdBy": "string",  "definition": null,  "hasAgentGuide": true,  "hasIcon": true,  "hasPanel": true,  "hasReadme": true,  "manifest": null,  "number": 0,  "publishedAt": "string",  "status": "ready",  "statusMessage": "string",  "thumbnailStates": [    "string"  ],  "version": "string",  "versionId": "string",  "warnings": [    "conformance-not-run"  ],  "conformance": {    "hasPassed": true,    "checks": [      {        "name": "string",        "status": "pass",        "errors": [          "string"        ],        "warnings": [          "string"        ]      }    ]  }}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentInvalidError",  "message": "string",  "problems": [    "string"  ]}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}